Bug 52902 - pdftex writes wrong encoding for true type fonts
pdftex writes wrong encoding for true type fonts
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: tetex (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-30 14:35 EDT by ziemann
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-04 03:47:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The screenshot shows the pdf in Acroread (11.34 KB, image/png)
2001-08-30 14:39 EDT, ziemann
no flags Details

  None (edit)
Description ziemann 2001-08-30 14:35:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [de] (X11; U; Linux 2.4.9 i686)

Description of problem:
I have installed an additional true type font and stored it together with
the TeX file in the same directory.  The true type font gets imported and
the encoding also gets imported but when I start Acroread the file shows
only rectangles and Acroread says that the font uses a "build-in"
encoding.  For other PDF documents it says "custom" encoding.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Take a true type font.  I use "swz721be.ttf" and "swz721l.ttf".

2. Get the encoding file.  I use "T1-WGL4.enc".

3. Create the AFM file: ttf2afm -e T1-WGL4.enc -o swz721be.afm swz721be.ttf

4. Create the TFM and MAP file: afm2tfm swz721be.afm -T T1-WGL4.enc | sed
-e "s/</<swz721be.ttf </" > myfonts.map

5. The map file contains the following line: swz721be
Swiss721BT-BoldExtended " T1Encoding ReEncodeFont " <swz721be.ttf
<T1-WGL4.enc

6. Tell pdftex about the map file: echo "map +myfonts.map" >>
/usr/share/texmf/pdftex/config/pdftex.cfg

7. Rehash ls-r: texconfig rehash

8. Write simple LaTeX file:
\documentclass{article}
\DeclareFontFamily{T1}{slg}{}
\DeclareFontShape{T1}{slg}{b}{n}{<-> swz721be}{}
\begin{document}
normal font {\usefont{T1}{slg}{b}{n}new font}
\end{document}


9. Run it with pdflatex:  pdflatex testfnt.tex
This is pdfTeX, Version 3.14159-13d (Web2C 7.3.1)
(testfnt.tex[/usr/share/texmf/pdftex/config/pdftex.cfg]
LaTeX2e <1999/12/01> patch level 1
Babel <v3.6Z> and hyphenation patterns for american, french, german,
ngerman, i
talian, portuges, russian, spanish, nohyphenation, loaded.
(/usr/share/texmf/tex/latex/base/article.cls
Document Class: article 1999/09/10 v1.4a Standard LaTeX document class
(/usr/share/texmf/tex/latex/base/size10.clo)) (testfnt.aux)
[1[/usr/share/texmf
/dvips/config/pdftex.map][myfonts.map]] (testfnt.aux)
)<T1-WGL4.enc><swz721be.t
tf><cmr10.pfb>
Output written on testfnt.pdf (1 page, 17129 bytes).
Transcript written on testfnt.log.

As you can see the font and the encoding gets imported.  But without
effect.


Actual Results:  Acrobat shows only rectangles for each letter of the new
font and says about the imported true type font that it has an built-in
encoding.

Expected Results:  Acrobat should show the right text and say that the true
type font has a custom encoding.

Additional info:
Comment 1 ziemann 2001-08-30 14:39:38 EDT
Created attachment 30215 [details]
The screenshot shows the pdf in Acroread
Comment 2 Tim Waugh 2001-10-04 03:47:13 EDT
Fixed in tetex-1.0.7-32.

Note You need to log in before you can comment on or make changes to this bug.